{% extends "base_navbar.html" %}
{% load static icon %}

{% block head_css %}
    <link href="{% static 'accueil/css/accueil_static.css' %}"
          rel="stylesheet" media="screen">

    <style type="text/css">
        .bg-cover {
            width: 100%;
            background-image: url("{% static 'accueil/img/img4.jpg' %}");
            background-repeat: no-repeat;
            background-size: cover;
            min-height: 100vh;
            position: absolute;
            top: 0;
        }
    </style>

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.5.1/dist/leaflet.css"
          integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
          crossorigin=""/>
{% endblock %}

{% block navbar %}{% endblock %}


{% block top_navbar %}

    <nav class="navbar navbar-expand-lg navbar-light" id="navbar-top">
        <div class="container-fluid">
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="nav navbar-nav ml-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="{% url 'connexion' %}"><i class="fas fa-user"></i> Connexion</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'inscription' %}"><i class="fas fa-user-plus"></i> Inscription</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

{% endblock %}

{% block modal_cgu %}
{% endblock %}

{% block content %}
    {% if modal_inscription %}
        {% include "modal_inscription.html" %}
    {% elif modal_nom_utilisateur %}
        {% include "modal_username_forgotten.html" %}
    {% endif %}

    <div class="container-fluid-accueil bg-cover">
        <div class="jumbotron jumbotron-fluid bg-cover full">
            <img id="title_logo" src="{{ LOGO_NEGATIF_PNG.url }}" alt="{{ SHORT_NAME }}"/>
            <h2 class="subtitleLaMouette">{{ SHORT_DESCRIPTION }}</h2>
            <a class="monBouton bouton-principal" href="#presentation">En savoir plus</a>
            <a class="monBouton bouton-secondaire" href="{{ YOUTUBE_CHANNEL }}"
               target="_blank"><i class="fab fa-youtube"></i> Youtube</a>
        </div>

        <div style="min-height: 100vh"></div>

        <div class="container-fluid-accueil">
            <div id="presentation" class="categorie presentation">
                <h3 class="titre_categorie">Qui sommes-nous ?</h3>

                <div class="trait"></div>

                <p>
                    {{ NAME }} est l'association d'audiovisuel de l'INSA Lyon. Elle propose aux passionnés
                    de vidéo de se réunir autour de projets vidéos communs riches et variés.
                    De la réalisation de documentaires et courts-métrages à la captation d'événements associatifs
                    (week-ends, concerts, soirées…), vous disposerez du matériel semi-pro disponible dans les locaux de
                    {{ SHORT_NAME }}.
                    Ce sera également l’endroit parfait pour débuter ou pour consolider vos bases techniques
                    (réalisation, montage, colorimétrie, effets spéciaux…) au sein d’ateliers et de formations organisés
                    par les
                    membres de l’association. Que l’on soit expérimenté ou débutant, {{ SHORT_NAME }} est l’association
                    parfaite pour se
                    réunir dans une ambiance conviviale afin de partager sa passion.
                </p>

                <div class="row">
                    <div class="col-md-3 small-categorie">
                        <h3 class="categorie-icon">{% icon "projet" %}</h3>
                        <h3 class="categorie-title">Courts-Métrages</h3>
                        <p class="categorie-text">
                            Les membres peuvent lancer et participer à des projets de courts-métrages.
                        </p>
                    </div>
                    <div class="col-md-3 small-categorie">
                        <h3 class="categorie-icon">{% icon "materiel" %}</h3>
                        <h3 class="categorie-title">Captations</h3>
                        <p class="categorie-text">
                            {{ SHORT_NAME }} propose à ses membres des couvertures d'évènements variés : concerts, soirées,
                            théâtre, ...
                        </p>
                    </div>
                    <div class="col-md-3 small-categorie">
                        <h3 class="categorie-icon"><i class="fas fa-fast-forward"></i></h3>
                        <h3 class="categorie-title">Formations</h3>
                        <p class="categorie-text">
                            Que vous soyez débutant ou confirmé, vous pourrez découvrir et améliorer vos
                            compétences techniques en vidéo sur différents sujets :
                            réalisation, montage, colorimétrie, effets spéciaux…
                        </p>
                    </div>
                    <div class="col-md-3 small-categorie">
                        <h3 class="categorie-icon"><i class="fas fa-box-open"></i></h3>
                        <h3 class="categorie-title">Ateliers</h3>
                        <p class="categorie-text">
                            {{ SHORT_NAME }} propose des ateliers d'apprentissage de plusieurs techniques vidéos,
                            afin d'apprendre en créant.
                        </p>
                    </div>
                </div>
            </div>

            <div id="infos" class="categorie permanence">
                <h3 class="titre_categorie">Permanence</h3>

                <div class="trait"></div>

                <p>
                    Vous pouvez venir à notre rencontre à notre local, {{ OFFICE_ADDRESS }}<br>
                    {% if PERMANENCE %}
                        Nous sommes ouverts {{ PERMANENCE }}.
                    {% endif %}
                </p>
                <p>
                    Vous souhaitez nous rejoindre ?<a class="lien" href="mailto:{{ CONTACT_EMAIL }}">
                    Passez pendant une permanence ou contactez nous par mail !</a>
                </p>
            </div>

            {% if INTRAMWET_MAP_CENTER_LATITUDE and INTRAMWET_MAP_CENTER_LONGITUDE and INTRAMWET_MAP_ZOOM_LEVEL and OFFICE_ADDRESS_LATITUDE and OFFICE_ADDRESS_LATITUDE %}
                <div id="plan" class="plan"></div>
            {% endif %}

            <div id="contact" class="categorie contact">
                <h3 class="titre_categorie">Nous contacter, nous suivre</h3>

                <div class="trait"></div>

                <a class="lien" href="mailto:{{ CONTACT_EMAIL }}">
                    <i class="far fa-envelope fa-lg symbole-contact"></i>
                </a>
                {% if YOUTUBE_CHANNEL %}
                    <a class="lien" href="{{ YOUTUBE_CHANNEL }}" target="_blank">
                        <i class="fab fa-youtube fa-lg symbole-contact"></i>
                    </a>
                {% endif %}
                {% if TWITTER_ACCOUNT %}
                    <a class="lien" href="{{ TWITTER_ACCOUNT }}" target="_blank">
                        <i class="fab fa-twitter fa-lg symbole-contact"></i>
                    </a>
                {% endif %}
                {% if FACEBOOK_ACCOUNT %}
                    <a class="lien" href="{{ FACEBOOK_ACCOUNT }}" target="_blank">
                        <i class="fab fa-facebook fa-lg symbole-contact"></i>
                    </a>
                {% endif %}
                {% if INSTAGRAM_ACCOUNT %}
                    <a class="lien" href="{{ INSTAGRAM_ACCOUNT }}" target="_blank">
                        <i class="fab fa-instagram fa-lg symbole-contact"></i>
                    </a>
                {% endif %}
            </div>
            <div class="categorie footer">
               {% include 'footer.html' %}
            </div>
        </div>
    </div>
{% endblock %}

{% block footer %}{% endblock %}

{% block footer_javascript %}
    {% if INTRAMWET_MAP_CENTER_LATITUDE and INTRAMWET_MAP_CENTER_LONGITUDE and INTRAMWET_MAP_ZOOM_LEVEL and OFFICE_ADDRESS_LATITUDE and OFFICE_ADDRESS_LATITUDE %}
        <script src="https://unpkg.com/leaflet@1.5.1/dist/leaflet.js"
                integrity="sha512-GffPMF3RvMeYyc1LWMHtK8EbPv0iNZ8/oTtHPx9/cc2ILxQ+u905qIwdpULaqDkyBKgOaB57QTMg7ztg8Jm2Og=="
                crossorigin=""></script>
        <script>
            const popupContent = "<b>{{ NAME }}</b><br>{{ OFFICE_ADDRESS }}";
            const mapCenterLatitude = parseFloat("{{ INTRAMWET_MAP_CENTER_LATITUDE }}".replace(',', '.'));
            const mapCenterLongitude = parseFloat("{{ INTRAMWET_MAP_CENTER_LONGITUDE }}".replace(',', '.'));
            const mapZoomLevel = parseInt("{{ INTRAMWET_MAP_ZOOM_LEVEL }}".replace(',', '.'));
            const pinLatitude = parseFloat("{{ OFFICE_ADDRESS_LATITUDE }}".replace(',', '.'));
            const pinLongitude = parseFloat("{{ OFFICE_ADDRESS_LONGITUDE }}".replace(',', '.'));
            console.log(mapCenterLatitude, mapCenterLongitude, mapZoomLevel, pinLatitude, pinLongitude)
        </script>
        <script src="{% static 'accueil/js/accueil_static.js' %}?v=10"></script>
    {% endif %}
{% endblock footer_javascript %}
